%define _name telepathy-farsight
%def_disable static
%def_disable gtk_doc

Name: lib%_name
Version: 0.0.6
Release: alt1

Summary: A audio/video conferencing framework
Group: System/Libraries
License: LGPLv2+
URL: http://telepathy.freedesktop.org

Source:  http://telepathy.freedesktop.org/releases/%_name/%_name-%version.tar.gz

%define firsight2_ver 0.0.3
%define tp_glib_ver 0.7.23

BuildPreReq: farsight2-devel >= %firsight2_ver
BuildPreReq: libtelepathy-glib-devel >= %tp_glib_ver
BuildRequires: python-module-pygobject-devel python-module-pygtk-devel python-module-gst-devel
BuildRequires: python-dev gst-plugins-devel gtk-doc libdbus-glib-devel

%description
FarSight is an audio/video conferencing framework specifically designed
for Instant Messengers. It aims to provide a code structure that will be
able to absorb as many video conferencing protocols as possible. It also
offers an interface to those Instant Messengers, allowing them to embed
the video feeds and controls into them.

FarSight is not a standalone application. It provides two APIs, one for
interfacing with the different "protocol modules" and one for interfacing
with the Instant Messenger GUI.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description	devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package devel-doc
Summary: Development documentation for %name
Group: Development/C
BuildArch: noarch
Conflicts: %name < %version

%description devel-doc
The %name-devel package provides documentation for development
applications that use %name.

%package -n python-module-telepathy-farsight
Summary: Python bindings for %name
Group: Development/Python
Requires: %name = %version-%release

%description -n python-module-telepathy-farsight
The python-module-telepathy-farsight package contains python bindings for
developing applications that use %name.

%prep
%setup -q -n %_name-%version

%build
export CFLAGS="$CFLAGS `pkg-config --cflags dbus-glib-1`"
export LDFLAGS="$LDFLAGS `pkg-config --libs dbus-glib-1`"
%configure \
	%{subst_enable static} \
	%{?_enable_gtk_doc:--enable-gtk-doc}

%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_libdir/*.so.*
%doc README NEWS ChangeLog

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/telepathy-1.0/*

%files devel-doc
%_datadir/gtk-doc/html/*

%files -n python-module-telepathy-farsight
%python_sitelibdir/tpfarsight.so
%exclude %python_sitelibdir/tpfarsight.la

%changelog
* Mon Apr 27 2009 Yuri N. Sedunov <aris@altlinux.org> 0.0.6-alt1
- 0.0.6
- new python-module-telepathy-farsight package
- updated buildreqs

* Fri Nov 28 2008 Yuri N. Sedunov <aris@altlinux.org> 0.0.3-alt1
- first build for Sisyphus

